> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Update Renewal Status: Funnel

POST https://api.propexo.com/crm/v1/renewal-status/funnel
Content-Type: application/json

Update Renewal Status: Funnel

Reference: https://docs.propexo.com/api-reference/funnel/renewal-status/update-renewal-status-funnel

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _crm_v1_renewal-status_funnel_post_input.

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `listing_id` (string, required) — The Propexo unique identifier for the listing
- `show_renewal_card` (boolean, required) — Whether or not to show the renewal card
- `body_text` (string, required) — The body text of the renewal
- `show_alert` (boolean, required) — Whether or not to show the an alert for the renewal
- `alert_body_text` (string, required) — The body text of the alert
- `alert_type` (enum, required) — The type of the renewal alert
  - Allowed values: `WARNING`, `INFO`
- `allow_clickthrough` (boolean, required) — Whether or not to allow click-through by the prospect to the renewal
- `header_text` (string, required) — The text of the renewal header
- `subheader_text` (string, required) — The text of the renewal sub-header
- `icon_type` (enum, required) — The type of icon to use for the renewal alert. Funnel documents these
  - Allowed values: `SIGN`, `RENEW`, `INFO`, `FEED`, `AUTOPAY`, `TRANSFER`, `RESERVATION`, `MESSAGE`, `GUEST_ACCESS`, `CALENDAR`, `CHECKLIST`

## Response

### 200

Successful response

- `meta` (CrmV1RenewalStatusFunnelPostOutputMeta, required)
- `result` (CrmV1RenewalStatusFunnelPostOutputResult, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### CrmV1RenewalStatusFunnelPostOutputMeta

- `job_id` (string, required)

### CrmV1RenewalStatusFunnelPostOutputResult

- `integration_id` (string, required) — The Propexo unique identifier for the integration
- `community_id` (string, required) — The Propexo unique identifier for the community
- `prospect_id` (string, required) — The Propexo unique identifier for the prospect
- `listing_id` (string, required) — The Propexo unique identifier for the listing
- `show_renewal_card` (boolean, required) — Whether or not to show the renewal card
- `body_text` (string, required) — The body text of the renewal
- `show_alert` (boolean, required) — Whether or not to show the an alert for the renewal
- `alert_body_text` (string, required) — The body text of the alert
- `alert_type` (enum, required) — The type of the renewal alert
  - Allowed values: `WARNING`, `INFO`
- `allow_clickthrough` (boolean, required) — Whether or not to allow click-through by the prospect to the renewal
- `header_text` (string, required) — The text of the renewal header
- `subheader_text` (string, required) — The text of the renewal sub-header
- `icon_type` (enum, required) — The type of icon to use for the renewal alert. Funnel documents these
  - Allowed values: `SIGN`, `RENEW`, `INFO`, `FEED`, `AUTOPAY`, `TRANSFER`, `RESERVATION`, `MESSAGE`, `GUEST_ACCESS`, `CALENDAR`, `CHECKLIST`

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "pros-abcdef1234567890",
  "listing_id": "list-0987654321fedcba",
  "show_renewal_card": true,
  "body_text": "Your lease is up for renewal soon. Please review the details and confirm your intent to renew.",
  "show_alert": true,
  "alert_body_text": "Renewal deadline approaching in 10 days. Act now to avoid any disruption.",
  "alert_type": "WARNING",
  "allow_clickthrough": true,
  "header_text": "Lease Renewal Notice",
  "subheader_text": "Important information regarding your upcoming lease renewal",
  "icon_type": "SIGN"
}
```

**Response**

```json
{
  "meta": {
    "job_id": "job-20240615-abcdef123456"
  },
  "result": {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "community_id": "comm-1234567890abcdef",
    "prospect_id": "pros-abcdef1234567890",
    "listing_id": "list-0987654321fedcba",
    "show_renewal_card": true,
    "body_text": "Your lease is up for renewal soon. Please review the details and confirm your intent to renew.",
    "show_alert": true,
    "alert_body_text": "Renewal deadline approaching in 10 days. Act now to avoid any disruption.",
    "alert_type": "WARNING",
    "allow_clickthrough": true,
    "header_text": "Lease Renewal Notice",
    "subheader_text": "Important information regarding your upcoming lease renewal",
    "icon_type": "SIGN"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/crm/v1/renewal-status/funnel"

payload = {
    "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
    "community_id": "comm-1234567890abcdef",
    "prospect_id": "pros-abcdef1234567890",
    "listing_id": "list-0987654321fedcba",
    "show_renewal_card": True,
    "body_text": "Your lease is up for renewal soon. Please review the details and confirm your intent to renew.",
    "show_alert": True,
    "alert_body_text": "Renewal deadline approaching in 10 days. Act now to avoid any disruption.",
    "alert_type": "WARNING",
    "allow_clickthrough": True,
    "header_text": "Lease Renewal Notice",
    "subheader_text": "Important information regarding your upcoming lease renewal",
    "icon_type": "SIGN"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/crm/v1/renewal-status/funnel';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg-9f8b7c6d5e4a3b2c1d0e","community_id":"comm-1234567890abcdef","prospect_id":"pros-abcdef1234567890","listing_id":"list-0987654321fedcba","show_renewal_card":true,"body_text":"Your lease is up for renewal soon. Please review the details and confirm your intent to renew.","show_alert":true,"alert_body_text":"Renewal deadline approaching in 10 days. Act now to avoid any disruption.","alert_type":"WARNING","allow_clickthrough":true,"header_text":"Lease Renewal Notice","subheader_text":"Important information regarding your upcoming lease renewal","icon_type":"SIGN"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/crm/v1/renewal-status/funnel"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"pros-abcdef1234567890\",\n  \"listing_id\": \"list-0987654321fedcba\",\n  \"show_renewal_card\": true,\n  \"body_text\": \"Your lease is up for renewal soon. Please review the details and confirm your intent to renew.\",\n  \"show_alert\": true,\n  \"alert_body_text\": \"Renewal deadline approaching in 10 days. Act now to avoid any disruption.\",\n  \"alert_type\": \"WARNING\",\n  \"allow_clickthrough\": true,\n  \"header_text\": \"Lease Renewal Notice\",\n  \"subheader_text\": \"Important information regarding your upcoming lease renewal\",\n  \"icon_type\": \"SIGN\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/crm/v1/renewal-status/funnel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"pros-abcdef1234567890\",\n  \"listing_id\": \"list-0987654321fedcba\",\n  \"show_renewal_card\": true,\n  \"body_text\": \"Your lease is up for renewal soon. Please review the details and confirm your intent to renew.\",\n  \"show_alert\": true,\n  \"alert_body_text\": \"Renewal deadline approaching in 10 days. Act now to avoid any disruption.\",\n  \"alert_type\": \"WARNING\",\n  \"allow_clickthrough\": true,\n  \"header_text\": \"Lease Renewal Notice\",\n  \"subheader_text\": \"Important information regarding your upcoming lease renewal\",\n  \"icon_type\": \"SIGN\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/crm/v1/renewal-status/funnel")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"pros-abcdef1234567890\",\n  \"listing_id\": \"list-0987654321fedcba\",\n  \"show_renewal_card\": true,\n  \"body_text\": \"Your lease is up for renewal soon. Please review the details and confirm your intent to renew.\",\n  \"show_alert\": true,\n  \"alert_body_text\": \"Renewal deadline approaching in 10 days. Act now to avoid any disruption.\",\n  \"alert_type\": \"WARNING\",\n  \"allow_clickthrough\": true,\n  \"header_text\": \"Lease Renewal Notice\",\n  \"subheader_text\": \"Important information regarding your upcoming lease renewal\",\n  \"icon_type\": \"SIGN\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/crm/v1/renewal-status/funnel', [
  'body' => '{
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "pros-abcdef1234567890",
  "listing_id": "list-0987654321fedcba",
  "show_renewal_card": true,
  "body_text": "Your lease is up for renewal soon. Please review the details and confirm your intent to renew.",
  "show_alert": true,
  "alert_body_text": "Renewal deadline approaching in 10 days. Act now to avoid any disruption.",
  "alert_type": "WARNING",
  "allow_clickthrough": true,
  "header_text": "Lease Renewal Notice",
  "subheader_text": "Important information regarding your upcoming lease renewal",
  "icon_type": "SIGN"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/crm/v1/renewal-status/funnel");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg-9f8b7c6d5e4a3b2c1d0e\",\n  \"community_id\": \"comm-1234567890abcdef\",\n  \"prospect_id\": \"pros-abcdef1234567890\",\n  \"listing_id\": \"list-0987654321fedcba\",\n  \"show_renewal_card\": true,\n  \"body_text\": \"Your lease is up for renewal soon. Please review the details and confirm your intent to renew.\",\n  \"show_alert\": true,\n  \"alert_body_text\": \"Renewal deadline approaching in 10 days. Act now to avoid any disruption.\",\n  \"alert_type\": \"WARNING\",\n  \"allow_clickthrough\": true,\n  \"header_text\": \"Lease Renewal Notice\",\n  \"subheader_text\": \"Important information regarding your upcoming lease renewal\",\n  \"icon_type\": \"SIGN\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "integration_id": "intg-9f8b7c6d5e4a3b2c1d0e",
  "community_id": "comm-1234567890abcdef",
  "prospect_id": "pros-abcdef1234567890",
  "listing_id": "list-0987654321fedcba",
  "show_renewal_card": true,
  "body_text": "Your lease is up for renewal soon. Please review the details and confirm your intent to renew.",
  "show_alert": true,
  "alert_body_text": "Renewal deadline approaching in 10 days. Act now to avoid any disruption.",
  "alert_type": "WARNING",
  "allow_clickthrough": true,
  "header_text": "Lease Renewal Notice",
  "subheader_text": "Important information regarding your upcoming lease renewal",
  "icon_type": "SIGN"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/crm/v1/renewal-status/funnel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```